/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.vo.embarcada.UsuarioEmbarcadaVO;

/**
 * 
 * @author valdevir
 */
public class RenderUsuarioDispositivo implements ListitemRenderer {

	public void render(Listitem lstm, Object o) throws Exception {
		UsuarioEmbarcadaVO usuario = (UsuarioEmbarcadaVO) o;

        Listcell lc = new Listcell(usuario.getCveusuario());
        lc.setParent(lstm);

        lc = new Listcell(usuario == null ? "" : usuario.getCveusuario());
        lc.setParent(lstm);

        lc = new Listcell(usuario.getNome());
        lc.setParent(lstm);

        

        lstm.setAttribute("data", usuario);

	}
}
